Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.adhoc
Interface AdhocMonitor

All Superinterfaces:
  Monitor

Deprecated. As of version 8, no replacement.

    public interface AdhocMonitor

extends Monitor

This `AdhocMonitor` takes charge of managing all Task's, Engine's and Service's status of JReport Analysis.

Method Summary
`java.util.Vector` | `getAllEngines()` Deprecated. Gets all JReport Analysis Engines.
`java.util.Vector` | `getAllFailedTasks()` Deprecated. Gets all failed Adhoc tasks.
`java.util.Vector` | `getAllFinishedTasks()` Deprecated. Gets all completed JReport Schedule Tasks currently saved in the Monitor Server.
`java.util.Vector` | `getAllRunningTasks()` Deprecated. Gets all running JReport Schedule Tasks at current time.
`java.util.Vector` | `getAllServices()` Deprecated. Gets all JReport Analysis Services.
`java.util.Vector` | `getAllWaitingTasks()` Deprecated. Gets all waiting JReport Schedule Tasks at current time.
`java.util.Vector` | `getFailedTasksByUser(java.lang.String userName)` Deprecated. Gets all failed Adhoc tasks submitted by the specified user.
`java.util.Vector` | `getFinishedTasksByUser(java.lang.String userName)` Deprecated. Gets all completed JReport Analysis Schedule Tasks submitted by the specified user and currently saved in the Monitor Server.
`java.util.Vector` | `getRunningTasksByUser(java.lang.String userName)` Deprecated. Gets all running JReport Analysis Schedule Tasks submitted by the specified user.
`java.util.Vector` | `getServicesByUser(java.lang.String userName)` Deprecated. Gets all JReport Analysis Services submitted by the specified user.
`AdhocTaskInfo` | `getTaskInfo(java.lang.String taskID)` Deprecated. Gets a `AdhocTaskInfo` reference according to its task ID.
`java.util.Vector` | `getWaitingTasksByUser(java.lang.String userName)` Deprecated. Gets all waiting JReport Analysis Schedule Tasks submitted by the specified user.
`void` | `stopTask(AdhocTaskInfo taskInfo)` Deprecated. Stops an unfinished (waiting or running) JReport Analysis Task according to the specified `AdhocTaskInfo` instance.
`void` | `stopTask(java.lang.String taskID)` Deprecated. Stops an unfinished (waiting or running) JReport Analysis Task according to its task ID.

Methods inherited from interface jet.server.monitor.api.Monitor
`getDuration, getInterval, isStarted, restart, setDuration, setInterval, start, stop, update`

Method Detail

### getAllRunningTasks

    java.util.Vector getAllRunningTasks()

  Deprecated.
  Gets all running JReport Schedule Tasks at current time.

  Returns:
    All running tasks in the whole monitored Report Server environment, wrap some `AdhocTaskInfo` instance.

### getRunningTasksByUser

    java.util.Vector getRunningTasksByUser(java.lang.String userName)

  Deprecated.
  Gets all running JReport Analysis Schedule Tasks submitted by the specified user.

  Parameters:
    `userName,` - The specified user name.
  Returns:
    All running JReport Analysis Schedule Tasks submitted by the specified user in the whole monitored Report Server environment. wrap some `AdhocTaskInfo` instances.

### getAllWaitingTasks

    java.util.Vector getAllWaitingTasks()

  Deprecated.
  Gets all waiting JReport Schedule Tasks at current time.

  Returns:
    All waiting tasks in the whole monitored Report Server environment, wrap some `AdhocTaskInfo` instance.

### getWaitingTasksByUser

    java.util.Vector getWaitingTasksByUser(java.lang.String userName)

  Deprecated.
  Gets all waiting JReport Analysis Schedule Tasks submitted by the specified user.

  Parameters:
    `userName,` - The specified user name.
  Returns:
    All waiting JReport Analysis Schedule Tasks submitted by the specified user in the whole monitored Report Server environment. wrap some `AdhocTaskInfo` instances.

### getAllFinishedTasks

    java.util.Vector getAllFinishedTasks()

  Deprecated.
  Gets all completed JReport Schedule Tasks currently saved in the Monitor Server.

  Returns:
    All completed tasks currently saved in the whole monitored Report Server environment, wrap some `AdhocTaskInfo` instance.

### getFinishedTasksByUser

    java.util.Vector getFinishedTasksByUser(java.lang.String userName)

  Deprecated.
  Gets all completed JReport Analysis Schedule Tasks submitted by the specified user and currently saved in the Monitor Server.

  Parameters:
    `userName,` - The specified user name.
  Returns:
    All completed JReport Analysis Schedule Tasks submitted by the specified user and currently saved in the whole monitored Report Server environment. wrap some `AdhocTaskInfo` instances.

### getAllFailedTasks

    java.util.Vector getAllFailedTasks()

  Deprecated.
  Gets all failed Adhoc tasks.

  Returns:
    all failed Adhoc tasks. wrap some `AdhocTaskInfo` instances.

### getFailedTasksByUser

    java.util.Vector getFailedTasksByUser(java.lang.String userName)

  Deprecated.
  Gets all failed Adhoc tasks submitted by the specified user.

  Parameters:
    `userName,` - The specified user name.
  Returns:
    all failed Adhoc tasks submitted by the specified user. wrap some `AdhocTaskInfo` instances.

### getTaskInfo

    AdhocTaskInfo getTaskInfo(java.lang.String taskID)

  Deprecated.
  Gets a `AdhocTaskInfo` reference according to its task ID.

  Parameters:
    `taskID,` - The given task ID.
  Returns:
    A `AdhocTaskInfo` reference according to its task ID.

### stopTask

    void stopTask(java.lang.String taskID)

  Deprecated.
  Stops an unfinished (waiting or running) JReport Analysis Task according to its task ID. This method is preferred to be invoked to stop a JReport Analysis Task.

  Parameters:
    `taskID,` - The specified task ID.

### stopTask

    void stopTask(AdhocTaskInfo taskInfo)

  Deprecated.
  Stops an unfinished (waiting or running) JReport Analysis Task according to the specified `AdhocTaskInfo` instance.

  Parameters:
    `taskInfo,` - The specified `AdhocTaskInfo` object.

### getAllEngines

    java.util.Vector getAllEngines()

  Deprecated.
  Gets all JReport Analysis Engines.

  Returns:
    All JReport Analysis Engines in the whole monitored Report Server environment. wrap some `AdhocEngineInfo` instances.

### getAllServices

    java.util.Vector getAllServices()

  Deprecated.
  Gets all JReport Analysis Services.

  Returns:
    All JReport Analysis Services in the whole monitored Report Server environment. wrap some `AdhocServiceInfo` instances.

### getServicesByUser

    java.util.Vector getServicesByUser(java.lang.String userName)

  Deprecated.
  Gets all JReport Analysis Services submitted by the specified user.

  Parameters:
    `userName,` - The specified user name.
  Returns:
    All JReport Analysis Services submitted by the specified user in the whole monitored Report Server environment. wrap some `AdhocServiceInfo` instances.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD